> For the complete documentation index, see [llms.txt](https://docs.walecloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.walecloud.com/api-documentation/events/network-full.md).

# Network Full

The `NetworkFullEvent` is used for monitoring and managing when the network is full.

### Methods

1. **`getPlayerName()`** Returns the name of the player attempting to connect.
2. **`getPlayerUniqueId()`** Returns the uuid of the player attempting to connect.
3. **`isPlayerLegacy()`** Returns  if the player's connection is legacy.
4. **`isPlayerOnlineMode()`** Returns if the player's connection is online mode (premium).
5. **`getPlayerClientVersion()`** Returns the player's client version as an `integer`.
6. **`getOnlinePlayers()`** Returns the number of current online players.
7. **`getMaxPlayers()`** Returns the number of maximum online players.

### Code example

```java
/*
You can cancel the event, then the player will be shown a predefined message from Wale.
Or you handle this event yourself and decide what happens with the connection.
*/
@Eventable
public void handle(NetworkFullEvent event) {
    var player = BungeeCord.getInstance().getPlayer(event.getPlayerUniqueId());
    if (!player.hasPermission("server.full.join") { // Example permission
        event.cancel();
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.walecloud.com/api-documentation/events/network-full.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
